## CLOSE-Anweisung (close_statement)

Die CLOSE-Anweisung (close_statement) löscht eine Ergebnistabelle.

### Syntax

<close_statement> ::= CLOSE [<result_table_name>]

### Erläuterung

· Name einer Ergebnistabelle angegeben: Diese Ergebnistabelle wird gelöscht. Ihr Name kann zur Benennung einer anderen Ergebnistabelle verwendet werden.

· Kein Name einer Ergebnistabelle angegeben: Eine eventuell existierende unbenannte Ergebnistabelle wird gelöscht.

Eine unbenannte Ergebnistabelle wird implizit durch die nächste SELECT-Anweisung gelöscht.

Ergebnistabellen werden implizit durch das Erzeugen einer Ergebnistabelle gleichen Namens gelöscht.

Alle Ergebnistabellen, die in der aktuellen Transaktion erzeugt wurden, werden implizit bei Beendigung der Transaktion mittels der ROLLBACK-Anweisung gelöscht.

Alle Ergebnistabellen werden implizit bei Beendigung der Sitzung mittels der RELEASE-Anweisung gelöscht.